	INCLUDE EFR32MG12.inc			; CPU register definitions	
		
	AREA    |.text|, CODE, READONLY	; another section in the CODE area	
;-------------------------------------------------------------------------------
GPIO_setup	PROC				; I/O Ports configuration
	EXPORT	GPIO_setup
	OORW	1<<3, CMU_HFBUSCLKEN0, CMU	; enable clock to GPIO
	OORW	0x44, GPIO_PD_MODEH, GPIO	; configure RG LED pins
	bx	LR
	ENDP	

;-------------------------------------------------------------------------------
LETIMER_setup	PROC
	EXPORT	LETIMER_setup
	PUTW	1, CMU_LFACLKEN0, CMU		; enable LFA clock for LETIMER
	PUTW	1<<9, LETIMERn_CTRL, LETIMER0	; set period	
	PUTW	32767, LETIMERn_COMP0		; 1 sec period
	PUTW	0x1F, LETIMERn_IFC		; clear all IF	
	PUTW	5, LETIMERn_CMD, LETIMER0	; start timer
	bx	LR
	ENDP
		
	ALIGN
	END
	